import 'package:firebase_auth/firebase_auth.dart';

class FireBaseAuthUser {
  final String? uid;
  final String? displayName;
  final String? photoUrl;
  final String? fcmToken;

  FireBaseAuthUser(this.uid, this.displayName, this.photoUrl, this.fcmToken);

  FireBaseAuthUser.fromFirebaseUser(User firebaseUser)
      : this(firebaseUser.uid, firebaseUser.displayName, firebaseUser.photoURL,
            "");

  Map<String, dynamic> get map {
    return {
      "uid": uid,
      "displayName": displayName,
      "photoUrl": photoUrl,
      "fcmToken": fcmToken
    };
  }
}
